Coolify logoCoolify
GET
/projects/{uuid}/environments

List all environments in a project.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Project UUID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/projects/string/environments"
[  {    "id": 0,    "name": "string",    "project_id": 0,    "created_at": "string",    "updated_at": "string",    "description": "string"  }]
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
Empty
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}